<?xml version="1.0" ?>
<!--
/**
 * MagePrince
 * Copyright (C) 2020 Mageprince <info@mageprince.com>
 *
 * @package Mageprince_Faq
 * @copyright Copyright (c) 2020 Mageprince (http://www.mageprince.com/)
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License,version 3 (GPL-3.0)
 * @author MagePrince <info@mageprince.com>
 */
-->
<form xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Ui:etc/ui_configuration.xsd">
	<argument name="data" xsi:type="array">
		<item name="js_config" xsi:type="array">
			<item name="provider" xsi:type="string">mageprince_faqgroup_form.faqgroup_form_data_source</item>
			<item name="deps" xsi:type="string">mageprince_faqgroup_form.faqgroup_form_data_source</item>
		</item>
		<item name="label" translate="true" xsi:type="string">General Information</item>
		<item name="config" xsi:type="array">
			<item name="dataScope" xsi:type="string">data</item>
			<item name="namespace" xsi:type="string">mageprince_faqgroup_form</item>
		</item>
		<item name="template" xsi:type="string">templates/form/collapsible</item>
		<item name="buttons" xsi:type="array">
			<item name="back" xsi:type="string">Mageprince\Faq\Block\Adminhtml\FaqGroup\Edit\BackButton</item>
			<item name="delete" xsi:type="string">Mageprince\Faq\Block\Adminhtml\FaqGroup\Edit\DeleteButton</item>
			<item name="save" xsi:type="string">Mageprince\Faq\Block\Adminhtml\FaqGroup\Edit\SaveButton</item>
			<item name="save_and_continue" xsi:type="string">Mageprince\Faq\Block\Adminhtml\FaqGroup\Edit\SaveAndContinueButton</item>
		</item>
	</argument>
	<dataSource name="faqgroup_form_data_source">
		<argument name="dataProvider" xsi:type="configurableObject">
			<argument name="class" xsi:type="string">Mageprince\Faq\Model\FaqGroup\DataProvider</argument>
			<argument name="name" xsi:type="string">faqgroup_form_data_source</argument>
			<argument name="primaryFieldName" xsi:type="string">faqgroup_id</argument>
			<argument name="requestFieldName" xsi:type="string">faqgroup_id</argument>
			<argument name="data" xsi:type="array">
				<item name="config" xsi:type="array">
					<item name="submit_url" path="*/*/save" xsi:type="url"/>
				</item>
			</argument>
		</argument>
		<argument name="data" xsi:type="array">
			<item name="js_config" xsi:type="array">
				<item name="component" xsi:type="string">Magento_Ui/js/form/provider</item>
			</item>
		</argument>
	</dataSource>
	<fieldset name="General">
		<argument name="data" xsi:type="array">
			<item name="config" xsi:type="array">
				<item name="label" xsi:type="string"/>
			</item>
		</argument>
		<field name="status">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="sortOrder" xsi:type="number">10</item>
                    <item name="dataType" xsi:type="string">boolean</item>
                    <item name="formElement" xsi:type="string">checkbox</item>
                    <item name="source" xsi:type="string">category</item>
                    <item name="prefer" xsi:type="string">toggle</item>
                    <item name="label" xsi:type="string" translate="true">Enable</item>
                    <item name="valueMap" xsi:type="array">
                        <item name="true" xsi:type="string">1</item>
                        <item name="false" xsi:type="string">0</item>
                    </item>
                    <item name="validation" xsi:type="array">
                        <item name="required-entry" xsi:type="boolean">false</item>
                    </item>
                    <item name="default" xsi:type="string">1</item>
                </item>
            </argument>
        </field>
		<field name="groupname">
			<argument name="data" xsi:type="array">
				<item name="config" xsi:type="array">
					<item name="dataType" xsi:type="string">text</item>
					<item name="label" translate="true" xsi:type="string">Group Name</item>
					<item name="formElement" xsi:type="string">input</item>
					<item name="source" xsi:type="string">FaqGroup</item>
					<item name="sortOrder" xsi:type="number">20</item>
					<item name="dataScope" xsi:type="string">groupname</item>
					<item name="validation" xsi:type="array">
						<item name="required-entry" xsi:type="boolean">true</item>
					</item>
				</item>
			</argument>
		</field>
		<field name="icon">
            <argument name="data" xsi:type="array">
                <item name="config" xsi:type="array">
                    <item name="dataType" xsi:type="string">string</item>
                    <item name="source" xsi:type="string">FaqGroup</item>
                    <item name="label" xsi:type="string" translate="true">Group Image/Icon</item>
                    <item name="visible" xsi:type="boolean">true</item>
                    <item name="formElement" xsi:type="string">imageUploader</item>
                    <item name="elementTmpl" xsi:type="string">ui/form/element/uploader/uploader</item>
                    <item name="previewTmpl" xsi:type="string">Mageprince_Faq/image-preview</item>
                    <item name="required" xsi:type="boolean">false</item>
                    <item name="sortOrder" xsi:type="number">30</item>
                    <item name="uploaderConfig" xsi:type="array">
                        <item name="url" xsi:type="url" path="mageprince_faq/faqgroup/upload"/>
                    </item>
                </item>
            </argument>
        </field>
        <field name="sortorder">
			<argument name="data" xsi:type="array">
				<item name="config" xsi:type="array">
					<item name="dataType" xsi:type="string">text</item>
					<item name="label" translate="true" xsi:type="string">Sort Order</item>
					<item name="formElement" xsi:type="string">input</item>
					<item name="source" xsi:type="string">FaqGroup</item>
					<item name="sortOrder" xsi:type="number">40</item>
					<item name="dataScope" xsi:type="string">sortorder</item>
					<item name="validation" xsi:type="array">
                        <item name="validate-number" xsi:type="boolean">true</item>
                    </item>
				</item>
			</argument>
		</field>
		<field name="storeview">
		    <argument name="data" xsi:type="array">
		        <item name="options" xsi:type="object">Magento\Store\Model\ResourceModel\Store\Collection</item>
		        <item name="config" xsi:type="array">
                    <item name="sortOrder" xsi:type="number">50</item>
		            <item name="dataType" xsi:type="string">text</item>
		            <item name="label" xsi:type="string" translate="true">Store View</item>
		            <item name="formElement" xsi:type="string">multiselect</item>
		            <item name="source" xsi:type="string">popup</item>
		            <item name="dataScope" xsi:type="string">storeview</item>
		            <item name="default" xsi:type="string">0,1,2,3,4</item>
		            <item name="validation" xsi:type="array">
		                <item name="required-entry" xsi:type="boolean">true</item>
		            </item>
		        </item>
		    </argument>
		</field>
        <field name="customer_group">
			<argument name="data" xsi:type="array">
				<item name="options" xsi:type="object">Magento\Customer\Model\ResourceModel\Group\Collection</item>
				<item name="config" xsi:type="array">
                    <item name="sortOrder" xsi:type="number">60</item>
					<item name="dataType" xsi:type="string">text</item>
					<item name="label" translate="true" xsi:type="string">Customer Group</item>
					<item name="formElement" xsi:type="string">multiselect</item>
					<item name="source" xsi:type="string">popup</item>
					<item name="dataScope" xsi:type="string">customer_group</item>
					<item name="default" xsi:type="string">0,1,2,3,4</item>
					<item name="validation" xsi:type="array">
						<item name="required-entry" xsi:type="boolean">true</item>
					</item>
				</item>
			</argument>
		</field>
	</fieldset>
</form>
